# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces
Ftp.hpp File Reference
`#include <SFML/Network/Export.hpp>`
`#include <SFML/Network/TcpSocket.hpp>`
`#include <SFML/System/Time.hpp>`
`#include <filesystem>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | sf::Ftp
| A FTP client. More...
class | sf::Ftp::Response
| FTP response. More...
class | sf::Ftp::DirectoryResponse
| Specialization of FTP response returning a directory. More...
class | sf::Ftp::ListingResponse
| Specialization of FTP response returning a file name listing. More...

## Namespaces

namespace | sf